nxt.http.callers

## Class GetAliasesLikeCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetAliasesLikeCall>
  - - nxt.http.callers.GetAliasesLikeCall

-     public class GetAliasesLikeCall
      extends APICall.Builder<GetAliasesLikeCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetAliasesLikeCall` | `aliasPrefix(java.lang.String aliasPrefix)`
    `static GetAliasesLikeCall` | `create()`
    `GetAliasesLikeCall` | `firstIndex(int firstIndex)`
    `GetAliasesLikeCall` | `lastIndex(int lastIndex)`
    `GetAliasesLikeCall` | `requireBlock(java.lang.String requireBlock)`
    `GetAliasesLikeCall` | `requireLastBlock(java.lang.String requireLastBlock)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetAliasesLikeCall create()

    - #### requireLastBlock

          public GetAliasesLikeCall requireLastBlock(java.lang.String requireLastBlock)

    - #### firstIndex

          public GetAliasesLikeCall firstIndex(int firstIndex)

    - #### lastIndex

          public GetAliasesLikeCall lastIndex(int lastIndex)

    - #### requireBlock

          public GetAliasesLikeCall requireBlock(java.lang.String requireBlock)

    - #### aliasPrefix

          public GetAliasesLikeCall aliasPrefix(java.lang.String aliasPrefix)